summaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2021-05-03 19:58:20 +0000
committer Eric Hameleers <alien@slackware.com>2021-05-03 23:59:55 +0200
commit4c189bc9bc307a9cd477afb9ff560c7138f8bdd0 (patch)
tree855f9187c0d6bca9dc967203b23c23adb7b3eba3 /testing
parentd29973a5051109bc0eab591df07eb128318d2c9c (diff)
downloadcurrent-4c189bc9bc307a9cd477afb9ff560c7138f8bdd0.tar.gz
current-4c189bc9bc307a9cd477afb9ff560c7138f8bdd0.tar.xz
Mon May 3 19:58:20 UTC 202120210503195820
a/kernel-firmware-20210503_3f23f51-noarch-1.txz: Upgraded. ap/mariadb-10.5.9-x86_64-1.txz: Upgraded. Reverted to the latest stable release. d/mercurial-5.8-x86_64-1.txz: Upgraded. kde/calligra-3.2.1-x86_64-8.txz: Rebuilt. Recompiled against poppler-21.05.0. kde/cantor-21.04.0-x86_64-2.txz: Rebuilt. Recompiled against poppler-21.05.0. kde/kfilemetadata-5.81.0-x86_64-2.txz: Rebuilt. Recompiled against poppler-21.05.0. kde/kile-2.9.93-x86_64-8.txz: Rebuilt. Recompiled against poppler-21.05.0. kde/kitinerary-21.04.0-x86_64-2.txz: Rebuilt. Recompiled against poppler-21.05.0. kde/krita-4.4.3-x86_64-4.txz: Rebuilt. Recompiled against poppler-21.05.0. kde/okular-21.04.0-x86_64-2.txz: Rebuilt. Recompiled against poppler-21.05.0. l/isl-0.24-x86_64-1.txz: Upgraded. l/poppler-21.05.0-x86_64-1.txz: Upgraded. Shared library .so-version bump. l/python-pygments-2.9.0-x86_64-1.txz: Upgraded. n/ethtool-5.12-x86_64-1.txz: Upgraded. n/httpd-2.4.47-x86_64-2.txz: Rebuilt. Recompiled against the mariadb-10.5.9 shared libraries. n/postfix-3.6.0-x86_64-2.txz: Rebuilt. Recompiled against the mariadb-10.5.9 shared libraries. xap/gparted-1.3.0-x86_64-1.txz: Upgraded. testing/packages/mariadb-10.6.0-x86_64-1.txz: Upgraded. Since this is still considered alpha and not production ready, we'll put it in /testing for now. Unless you're using an Atom (or other 32-bit processor affected by the illegal instruction issue) it's probably best to stick with mariadb-10.5.9.
Diffstat (limited to 'testing')
-rw-r--r--testing/source/mariadb/doinst.sh35
-rwxr-xr-xtesting/source/mariadb/mariadb.SlackBuild235
-rw-r--r--testing/source/mariadb/mirror.url1
-rw-r--r--testing/source/mariadb/mysql.no.plugin_auth_pam.diff11
-rw-r--r--testing/source/mariadb/mysql_install_db.nopam.diff48
-rw-r--r--testing/source/mariadb/rc.mysqld87
-rw-r--r--testing/source/mariadb/slack-desc19
7 files changed, 436 insertions, 0 deletions
diff --git a/testing/source/mariadb/doinst.sh b/testing/source/mariadb/doinst.sh
new file mode 100644
index 000000000..12bad9bb9
--- /dev/null
+++ b/testing/source/mariadb/doinst.sh
@@ -0,0 +1,35 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+# Keep same perms on rc.mysqld.new:
+if [ -e etc/rc.d/rc.mysqld ]; then
+ cp -a etc/rc.d/rc.mysqld etc/rc.d/rc.mysqld.new.incoming
+ cat etc/rc.d/rc.mysqld.new > etc/rc.d/rc.mysqld.new.incoming
+ mv etc/rc.d/rc.mysqld.new.incoming etc/rc.d/rc.mysqld.new
+fi
+
+config etc/rc.d/rc.mysqld.new
+config etc/mysqlaccess.conf.new
+config etc/my.cnf.new
+config etc/my.cnf.d/client.cnf.new
+config etc/my.cnf.d/mysql-clients.cnf.new
+config etc/my.cnf.d/s3.cnf.new
+config etc/my.cnf.d/server.cnf.new
+config etc/my.cnf.d/spider.cnf.new
+config etc/logrotate.d/mysql.new
+
+# Not supported in every $ARCH:
+if [ -r etc/my.cnf.d/tokudb.cnf.new ]; then
+ config etc/my.cnf.d/tokudb.cnf.new
+fi
+
diff --git a/testing/source/mariadb/mariadb.SlackBuild b/testing/source/mariadb/mariadb.SlackBuild
new file mode 100755
index 000000000..634280605
--- /dev/null
+++ b/testing/source/mariadb/mariadb.SlackBuild
@@ -0,0 +1,235 @@
+#!/bin/bash
+
+# Copyright 2008, 2009, 2010, 2012, 2013, 2014, 2017, 2018, 2020, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2011, 2012, 2013, 2014, 2017 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Build and install MySQL on Slackware
+# by: David Cantrell <david@slackware.com>
+# MariaDB conversion by: Heinz Wiesinger <pprkut@liwjatan.at>
+# Also maintained by: Patrick Volkerding <volkerdi@slackware.com>
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=mariadb
+VERSION=${VERSION:-$(echo ${PKGNAM}-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# To reduce the package size, the embedded server may be omitted. Currently
+# only amarok uses this. To build without embedded support, set this to NO.
+EMBEDDED=${EMBEDDED:-YES}
+
+# Add a description tag to the $BUILD. This is used by
+# "build_embedded_package.sh" to mark packages containing the embedded server,
+# but can optionally be used with any kind of custom tag desired.
+TAG=${TAG:-}
+
+# Don't keep the large static libraries by default:
+KEEPSTATIC=${KEEPSTATIC:-NO}
+
+# Don't keep the test suite by default:
+KEEPTESTS=${KEEPTESTS:-NO}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-${BUILD}${TAG}.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf ${PKGNAM}-$VERSION
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
+cd ${PKGNAM}-$VERSION || exit 1
+
+# Fix mysql_install_db if PAM is not installed:
+if [ ! -L /lib${LIBDIRSUFFIX}/libpam.so.? ]; then
+ zcat $CWD/mysql_install_db.nopam.diff.gz | patch -p1 --verbose || exit 1
+ # Also no PAM plugin then:
+ zcat $CWD/mysql.no.plugin_auth_pam.diff.gz | patch -p1 --verbose || exit 1
+fi
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+mkdir build
+cd build
+cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=RelWithDebInfo \
+ -DFEATURE_SET="community" \
+ -DINSTALL_LAYOUT="RPM" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DINSTALL_LIBDIR="lib${LIBDIRSUFFIX}" \
+ -DINSTALL_SBINDIR=libexec \
+ -DINSTALL_INCLUDEDIR=include/mysql \
+ -DINSTALL_MYSQLSHAREDIR=share/mysql \
+ -DINSTALL_SQLBENCHDIR= \
+ -DINSTALL_MYSQLTESTDIR=mysql-test \
+ -DINSTALL_MANDIR=man \
+ -DINSTALL_PLUGINDIR="lib${LIBDIRSUFFIX}/mysql/plugin" \
+ -DINSTALL_SCRIPTDIR=bin \
+ -DINSTALL_SUPPORTFILESDIR=share/mysql \
+ -DINSTALL_MYSQLDATADIR="/var/lib/mysql" \
+ -DINSTALL_DOCREADMEDIR="doc/${PKGNAM}-$VERSION" \
+ -DINSTALL_DOCDIR="doc/${PKGNAM}-$VERSION" \
+ -DMYSQL_DATADIR="/var/lib/mysql" \
+ -DMYSQL_UNIX_ADDR="/var/run/mysql/mysql.sock" \
+ -DWITH_EXTRA_CHARSETS=complex \
+ -DWITH_INNOBASE_STORAGE_ENGINE=1 \
+ -DENABLED_LOCAL_INFILE=ON \
+ -DWITH_EMBEDDED_SERVER=${EMBEDDED} \
+ -DWITH_LIBARCHIVE=ON \
+ -DWITH_READLINE=ON \
+ -DWITH_JEMALLOC=system \
+ -DWITH_ZLIB=system \
+ -DWITH_EXTERNAL_ZLIB=ON \
+ -DWITH_SSL=system \
+ -DCONC_WITH_SSL=ON \
+ -DUSE_ARIA_FOR_TMP_TABLES=ON \
+ -DAWS_SDK_EXTERNAL_PROJECT=OFF \
+ .. || exit 1
+
+# doesn't currently compile
+# -DWITH_ROCKSDB_JEMALLOC=ON \
+
+# not building with libwrap. Do we still need tcp_wrappers support?
+# -DWITH_LIBWRAP=ON \
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Sorry, I'm not going to put up with "/etc/systemd/" just for a config file
+# that isn't really needed anyway:
+rm -rf $PKG/etc/systemd
+
+# Leave build directory:
+cd ..
+
+# Install innotop
+install -m755 debian/additions/innotop/innotop $PKG/usr/bin/
+install -m644 debian/additions/innotop/innotop.1 $PKG/usr/man/man1/
+
+# Install mysqlreport
+install -m755 debian/additions/mysqlreport $PKG/usr/bin/
+install -m644 debian/additions/mysqlreport.1 $PKG/usr/man/man1/
+
+if [ "$KEEPSTATIC" = "NO" ]; then
+ # Remove large static libraries:
+ rm -f $PKG/usr/lib${LIBDIRSUFFIX}/libmariadbclient.a
+ rm -f $PKG/usr/lib${LIBDIRSUFFIX}/libmariadbd.a
+ rm -f $PKG/usr/lib${LIBDIRSUFFIX}/libmysqlclient.a
+ rm -f $PKG/usr/lib${LIBDIRSUFFIX}/libmysqlclient_r.a
+ rm -f $PKG/usr/lib${LIBDIRSUFFIX}/libmysqld.a
+fi
+
+if [ "$KEEPTESTS" = "NO" ]; then
+ # Do not include the test suite:
+ rm -rf $PKG/usr/mysql-test
+fi
+
+# Locate PAM module(s) correctly:
+if [ -d $PKG/lib/security ]; then
+ if [ ! "lib" = "lib${LIBDIRSUFFIX}" ]; then
+ mkdir -p $PKG/lib${LIBDIRSUFFIX}
+ mv $PKG/lib/security $PKG/lib${LIBDIRSUFFIX}/security
+ rmdir $PKG/lib 2> /dev/null
+ fi
+fi
+
+# The ./configure option to omit this has gone away, so we'll omit it
+# the old-fashioned way. It's all in the source tarball if you need it.
+rm -rf $PKG/usr/sql-bench
+
+# This is the directory where databases are stored
+mkdir -p $PKG/var/lib/mysql
+chown mysql.mysql $PKG/var/lib/mysql
+chmod 0750 $PKG/var/lib/mysql
+
+# This is where the socket is stored
+mkdir -p $PKG/var/run/mysql
+chown mysql.mysql $PKG/var/run/mysql
+chmod 0755 $PKG/var/run/mysql
+
+# Add init script:
+mkdir -p $PKG/etc/rc.d
+# This is installed chmod 644 so that the server does not run by default.
+zcat $CWD/rc.mysqld.gz > $PKG/etc/rc.d/rc.mysqld.new
+rm -rf $PKG/etc/init.d $PKG/usr/libexec/rcmysql
+
+# Install mysqlaccess.conf
+install -m 644 scripts/mysqlaccess.conf $PKG/etc/mysqlaccess.conf.new
+
+# Mark config files under /etc as .new
+mv $PKG/etc/my.cnf $PKG/etc/my.cnf.new
+mv $PKG/etc/logrotate.d/mysql $PKG/etc/logrotate.d/mysql.new
+for i in client mysql-clients s3 server spider tokudb; do
+ mv $PKG/etc/my.cnf.d/$i.cnf $PKG/etc/my.cnf.d/$i.cnf.new
+done
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+find $PKG/usr/man -type f -exec gzip -9 {} \+
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-${BUILD}${TAG}.txz
+
diff --git a/testing/source/mariadb/mirror.url b/testing/source/mariadb/mirror.url
new file mode 100644
index 000000000..173543014
--- /dev/null
+++ b/testing/source/mariadb/mirror.url
@@ -0,0 +1 @@
+ftp://ftp.osuosl.org/pub/mariadb/
diff --git a/testing/source/mariadb/mysql.no.plugin_auth_pam.diff b/testing/source/mariadb/mysql.no.plugin_auth_pam.diff
new file mode 100644
index 000000000..34eedf5af
--- /dev/null
+++ b/testing/source/mariadb/mysql.no.plugin_auth_pam.diff
@@ -0,0 +1,11 @@
+--- ./cmake/build_configurations/mysql_release.cmake.orig 2019-09-08 16:02:29.000000000 -0500
++++ ./cmake/build_configurations/mysql_release.cmake 2019-09-11 14:56:53.845129062 -0500
+@@ -124,7 +124,7 @@
+
+ IF(UNIX)
+ SET(WITH_EXTRA_CHARSETS all CACHE STRING "")
+- SET(PLUGIN_AUTH_PAM YES)
++ SET(PLUGIN_AUTH_PAM NO)
+
+ IF(CMAKE_SYSTEM_NAME STREQUAL "Linux")
+ IF(NOT IGNORE_AIO_CHECK)
diff --git a/testing/source/mariadb/mysql_install_db.nopam.diff b/testing/source/mariadb/mysql_install_db.nopam.diff
new file mode 100644
index 000000000..70503865a
--- /dev/null
+++ b/testing/source/mariadb/mysql_install_db.nopam.diff
@@ -0,0 +1,48 @@
+--- ./scripts/mysql_install_db.sh.orig 2020-01-28 11:31:09.088303502 -0600
++++ ./scripts/mysql_install_db.sh 2020-01-28 11:35:47.822283410 -0600
+@@ -480,25 +480,26 @@
+
+ if test -n "$user"
+ then
+- if test -z "$srcdir" -a "$in_rpm" -eq 0
+- then
+- chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" && \
+- chmod 04755 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
+- if test $? -ne 0
+- then
+- echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
+- echo "It must be root, the PAM authentication plugin doesn't work otherwise.."
+- echo
+- fi
+- chown $user "$pamtooldir/auth_pam_tool_dir" && \
+- chmod 0700 "$pamtooldir/auth_pam_tool_dir"
+- if test $? -ne 0
+- then
+- echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
+- echo "to the '$user' user. Check that you have the necessary permissions and try again."
+- echo
+- fi
+- fi
++ # Commented out since Slackware does not currently provide PAM:
++ #if test -z "$srcdir" -a "$in_rpm" -eq 0
++ #then
++ # chown 0 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool" && \
++ # chmod 04755 "$pamtooldir/auth_pam_tool_dir/auth_pam_tool"
++ # if test $? -ne 0
++ # then
++ # echo "Couldn't set an owner to '$pamtooldir/auth_pam_tool_dir/auth_pam_tool'."
++ # echo "It must be root, the PAM authentication plugin doesn't work otherwise.."
++ # echo
++ # fi
++ # chown $user "$pamtooldir/auth_pam_tool_dir" && \
++ # chmod 0700 "$pamtooldir/auth_pam_tool_dir"
++ # if test $? -ne 0
++ # then
++ # echo "Cannot change ownership of the '$pamtooldir/auth_pam_tool_dir' directory"
++ # echo "to the '$user' user. Check that you have the necessary permissions and try again."
++ # echo
++ # fi
++ #fi
+ args="$args --user=$user"
+ fi
+
diff --git a/testing/source/mariadb/rc.mysqld b/testing/source/mariadb/rc.mysqld
new file mode 100644
index 000000000..1844fe27a
--- /dev/null
+++ b/testing/source/mariadb/rc.mysqld
@@ -0,0 +1,87 @@
+#!/bin/sh
+# Start/stop/restart mysqld.
+#
+# Copyright 2003 Patrick J. Volkerding, Concord, CA
+# Copyright 2003 Slackware Linux, Inc., Concord, CA
+# Copyright 2008, 2013 Patrick J. Volkerding, Sebeka, MN, USA
+#
+# This program comes with NO WARRANTY, to the extent permitted by law.
+# You may redistribute copies of this program under the terms of the
+# GNU General Public License.
+
+# To start MariaDB automatically at boot, be sure this script is executable:
+# chmod 755 /etc/rc.d/rc.mysqld
+
+# Before you can run MariaDB, you must have a database. To install an initial
+# database, do this as root:
+#
+# mysql_install_db --user=mysql
+#
+# Note that the mysql user must exist in /etc/passwd, and the created files
+# will be owned by this dedicated user. This is important, or else mysql
+# (which runs as user "mysql") will not be able to write to the database
+# later (this can be fixed with 'chown -R mysql.mysql /var/lib/mysql').
+#
+# To increase system security, consider using "mysql_secure_installation"
+# as well. For more information on this tool, please read:
+# man mysql_secure_installation
+
+# To allow outside connections to the database comment out the next line.
+# If you don't need incoming network connections, then leave the line
+# uncommented to improve system security.
+SKIP="--skip-networking"
+
+# Start mysqld:
+mysqld_start() {
+ if [ -x /usr/bin/mysqld_safe ]; then
+ # If there is an old PID file (no mysqld running), clean it up:
+ if [ -r /var/run/mysql/mysql.pid ]; then
+ if ! ps axc | grep mysqld 1> /dev/null 2> /dev/null ; then
+ echo "Cleaning up old /var/run/mysql/mysql.pid."
+ rm -f /var/run/mysql/mysql.pid
+ fi
+ fi
+
+ /usr/bin/mysqld_safe --datadir=/var/lib/mysql --pid-file=/var/run/mysql/mysql.pid $SKIP &
+ fi
+}
+
+# Stop mysqld:
+mysqld_stop() {
+ # If there is no PID file, ignore this request...
+ if [ -r /var/run/mysql/mysql.pid ]; then
+ PID=$(cat /var/run/mysql/mysql.pid)
+ kill $PID
+ # Wait at least one minute for it to exit, as we don't know how big the DB is...
+ for second in $(seq 0 60) ; do
+ if [ ! -r /var/run/mysql/mysql.pid ]; then
+ break;
+ fi
+ sleep 1
+ done
+ if [ "$second" = "60" ]; then
+ echo "WARNING: Gave up waiting for mysqld to exit!"
+ sleep 15
+ fi
+ fi
+}
+
+# Restart mysqld:
+mysqld_restart() {
+ mysqld_stop
+ mysqld_start
+}
+
+case "$1" in
+'start')
+ mysqld_start
+ ;;
+'stop')
+ mysqld_stop
+ ;;
+'restart')
+ mysqld_restart
+ ;;
+*)
+ echo "usage $0 start|stop|restart"
+esac
diff --git a/testing/source/mariadb/slack-desc b/testing/source/mariadb/slack-desc
new file mode 100644
index 000000000..af139d6e7
--- /dev/null
+++ b/testing/source/mariadb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mariadb: mariadb (Drop-in replacement for the MySQL Database Server)
+mariadb:
+mariadb: MariaDB is a backward compatible, drop-in replacement branch of the
+mariadb: MySQL(R) Database Server. It includes all major open source storage
+mariadb: engines, including the Aria storage engine.
+mariadb:
+mariadb: Homepage: http://mariadb.org/
+mariadb:
+mariadb:
+mariadb:
+mariadb: